Refund
This method allows merchants to refund the order amount either fully or partially. Full and partial refunds are supported for payments made via card, Apple Pay, Google Pay, BOG authorization, and loyalty points. The partial refund method can be initiated repeatedly until the total paid amount is fully refunded.
Header parameters
Content-Typerequiredapplication/json
AuthorizationrequiredBasic <base64>
Bearer <jwt_token>, where jwt_token is the token returned in the access_token parameter of the authentication method response.
Idempotency-KeyoptionalUUID v4
The Idempotency-Key parameter should be unique for each new API request. Subsequent requests to the same API endpoint with the same Idempotency-Key header will result in the server returning the same status code and response body as the initial request. This functionality is particularly useful to ensure consistent outcome in scenarios where network issues or retries may lead to duplicate requests.
Path parameters
order_idrequiredstring
Body parameters
amountoptionalnumber
- CURL
curl -X POST 'https://api.bog.ge/payments/v1/payment/refund/:order_id' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": "10.5"
}'
Response
keystring
messagestring
action_idstring
- RESPONSE
{
"key": "request_received",
"message": "Refund request received",
"action_id": "5b666901-eb05-4f83-abeb-8311e175f337"
}